// @flow

import React from 'react'
import { themr } from 'react-css-themr'
import cn from 'classnames'

const defaultStyles = {
  image: 'is-128x128',
  name: '',
  from: '',
  content: '',
}

const CustomerReviewItem = ({
  item: { image, name, from, content },
  className,
  theme,
}: {
  item: TCustomerReview,
  className?: string,
  theme: { [key: string]: string },
}) => (
  <div className={cn('flex flex-column items-center tc', theme.root, className)}>
    <img className={cn('image', theme.image)} src={image} alt={name} />
    <div className={theme.name}>{name}</div>
    <div className={theme.from}>{from}</div>
    <div className={theme.content}>{content}</div>
  </div>
)

CustomerReviewItem.defaultProps = {
  className: null,
}

export default themr('CustomerReviewItem', defaultStyles, { composeTheme: 'softly' })(CustomerReviewItem)
