// @flow

import React from 'react'
import CustomerReviewItem from 'components/CustomerReviewItem'

const CustomerReviewList = ({
  data,
  childrenTheme,
  itemClassName,
  className,
}: {
  data: Array<TCustomerReview>,
  childrenTheme: { [key: string]: string},
  className?: string,
  itemClassName: string,
}) => (
  <div className={className}>
    {data.map(item => (
      <div key={item.name} className={itemClassName}>
        <CustomerReviewItem
          item={item}
          theme={childrenTheme}
        />
      </div>
    ))}
  </div>
)

CustomerReviewList.defaultProps = {
  className: null,
}

export default CustomerReviewList
