// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import CustomerReviewList from './'

const data = [
  {
    image: 'https://upload.wikimedia.org/wikipedia/commons/4/41/Edgar_Savisaar_2005.jpg',
    name: 'John Steve',
    from: 'Small Flower, United States',
    content: 'Thank you for your awesome services. It increase my profits up to 210%',
  },
  {
    image: 'https://pbs.twimg.com/profile_images/816358603758141440/OlXB_EIL.jpg',
    name: 'Mary Klein',
    from: 'Lovely Hat, Sydney - Australia',
    content: 'Awesome customer services.',
  },
  {
    image: 'http://schottfoundation.org/sites/default/files/edgar-villanueva-lg.jpg',
    name: 'David Edgar',
    from: 'Helmet Construtor, Canada',
    content: 'Of course - I will introduce your services to my friends. 👍',
  },
  {
    image: 'https://vignette1.wikia.nocookie.net/vsbattles/images/d/d7/Kai-0.png/revision/latest?cb=20151004160916',
    name: 'King Kai',
    from: 'Broken Planet, Universal 7',
    content: '1 word. Brilliant!!! ❤️',
  },
]

const childrenTheme = {
  root: 'shadow-1 pa2',
  image: 'h4 w4 pa1 br-100 ba b--light-gray',
  name: 'f5 b',
  from: 'f7',
  content: 'w-100 gray pa1 pa2-ns mt2 mt3-ns bt b--light-gray',
}

storiesOf('CustomerReviewList', module)
  .add('default', () => (
    <CustomerReviewList
      className="pa2 flex flex-wrap"
      itemClassName="w-100 w-third-ns pa2"
      data={data}
      childrenTheme={childrenTheme}
    />
  ))
