// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import Button from 'rebulma/lib/Button'
import OptIn from 'components/OptIn'
import Hero from './'

const props = {
  title: 'Collect all of your customer data and send it anywhere.',
  subtitle: 'Stream data to every marketing integration your team needs.',
}

const theme = {
  title: 'white',
  subtitle: 'white',
}

const optInProps = {
  callToAction: 'Give me now',
}

storiesOf('Hero', module)
  .add('default', () => (
    <Hero className="pa2" {...props} />
  ))
  .add('has max width', () => (
    <Hero className="bg-black-10 center mw7 pa2" {...props} />
  ))
  .add('With Opt In', () => (
    <Hero
      className="bg-black-50 center"
      theme={theme}
      {...props}
    >
      <OptIn
        className="mt2 mt3-ns center measure"
        {...optInProps}
        isHorizontal
        theme={{ callToAction: 'is-primary' }}
      />
    </Hero>
  ))
  .add('With Call To Action', () => (
    <Hero
      className="bg-black-50 center"
      theme={theme}
      {...props}
    >
      <div className="mt2 mt3-ns center measure">
        <div className="flex">
          <Button control className="mr2 is-medium is-primary">Register Now</Button>
          <Button control className="is-medium is-outlined is-primary">See More Plan</Button>
        </div>
      </div>
    </Hero>
  ))
