// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import Sections from './'
import themes from './sample-data/themes.yml'
import { sections } from './sample-data/sections.yml'

const Link = ({ to, children, className }: {
  to: string,
  children: any,
  className?: string,
}) => (
  <a className={className} href={to}>{children}</a>
)

Link.defaultProps = {
  className: null,
}

storiesOf('Sections', module)
  .add('default', () => (
    <Sections themes={themes} sections={sections} Link={Link} />
  ))
