'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultStyles = {
  container: '',
  title: '',
  subtitle: ''
};

var Hero = function Hero(_ref) {
  var title = _ref.title,
      subtitle = _ref.subtitle,
      children = _ref.children,
      className = _ref.className,
      theme = _ref.theme;
  return _react2.default.createElement(
    'section',
    { className: (0, _classnames2.default)('hero', className) },
    _react2.default.createElement(
      'div',
      { className: 'hero-body' },
      _react2.default.createElement(
        'div',
        { className: (0, _classnames2.default)('container', theme.container) },
        _react2.default.createElement(
          'h1',
          { className: (0, _classnames2.default)('title', theme.title) },
          title
        ),
        _react2.default.createElement(
          'h2',
          { className: (0, _classnames2.default)('subtitle', theme.subtitle) },
          subtitle
        ),
        children
      )
    )
  );
};

Hero.defaultProps = {
  children: null,
  className: null
};

exports.default = (0, _reactCssThemr.themr)('Hero', defaultStyles, { composeTheme: 'softly' })(Hero);