'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _PricingTable = require('../PricingTable');

var _PricingTable2 = _interopRequireDefault(_PricingTable);

var _FAQ = require('../FAQ');

var _FAQ2 = _interopRequireDefault(_FAQ);

var _StandardList = require('../StandardList');

var _StandardList2 = _interopRequireDefault(_StandardList);

var _SmallList = require('../SmallList');

var _SmallList2 = _interopRequireDefault(_SmallList);

var _HorizontalSmallList = require('../HorizontalSmallList');

var _HorizontalSmallList2 = _interopRequireDefault(_HorizontalSmallList);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var MyFaq = function MyFaq(_ref) {
  var data = _ref.data,
      className = _ref.className,
      childrenTheme = _ref.childrenTheme;
  return _react2.default.createElement(_FAQ2.default, { items: data, className: className, theme: childrenTheme });
};

MyFaq.defaultProps = {
  className: null
};

var defaultStyles = {
  root: '',
  title: '',
  subtitle: '',
  body: 'mw8 center',
  itemWrapper: 'w-100 w-third-ns pv2 ph2-ns',
  action: ''
};

function getComponent() {
  var type = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 'Standard';

  return {
    Standard: _StandardList2.default,
    Small: _SmallList2.default,
    HorizontalSmall: _HorizontalSmallList2.default,
    PricingTable: _PricingTable2.default,
    FAQ: MyFaq
  }[type];
}

var Section = function Section(_ref2) {
  var _ref2$section = _ref2.section;
  _ref2$section = _ref2$section === undefined ? {} : _ref2$section;
  var title = _ref2$section.title,
      subtitle = _ref2$section.subtitle,
      type = _ref2$section.type,
      _ref2$section$useH = _ref2$section.useH1,
      useH1 = _ref2$section$useH === undefined ? false : _ref2$section$useH,
      addonImage = _ref2$section.addonImage,
      _ref2$section$data = _ref2$section.data,
      data = _ref2$section$data === undefined ? [] : _ref2$section$data,
      _ref2$section$actions = _ref2$section.actions,
      actions = _ref2$section$actions === undefined ? [] : _ref2$section$actions,
      backgroundImage = _ref2$section.backgroundImage,
      theme = _ref2.theme,
      childrenTheme = _ref2.childrenTheme,
      Link = _ref2.Link,
      className = _ref2.className;

  var Component = getComponent(type);
  var H = useH1 ? 'h1' : 'div';

  var style = backgroundImage ? {
    backgroundImage: 'url(' + backgroundImage + ')'
  } : {};

  return _react2.default.createElement(
    'div',
    {
      className: (0, _classnames2.default)(theme.root, className),
      style: style
    },
    _react2.default.createElement(
      'div',
      { className: theme.container },
      addonImage && _react2.default.createElement(
        'div',
        { className: theme.addon },
        _react2.default.createElement(
          'div',
          { className: (0, _classnames2.default)('image', theme.addonImage) },
          _react2.default.createElement('img', {
            src: addonImage,
            alt: title
          })
        )
      ),
      _react2.default.createElement(
        'div',
        { className: theme.main },
        _react2.default.createElement(
          H,
          { className: theme.title },
          title
        ),
        _react2.default.createElement(
          'div',
          { className: theme.subtitle },
          subtitle
        ),
        _react2.default.createElement(Component, {
          className: theme.body,
          data: data,
          childrenTheme: childrenTheme,
          itemClassName: theme.itemWrapper
        }),
        _react2.default.createElement(
          'div',
          { className: theme.footer },
          actions.length > 0 && actions.map(function (action) {
            return _react2.default.createElement(
              'div',
              { className: 'h3 tc mt2 mt3-ns' },
              _react2.default.createElement(
                Link,
                {
                  className: (0, _classnames2.default)('button', theme.action, { 'is-outlined': action.secondary }),
                  to: action.href
                },
                action.label
              )
            );
          })
        )
      )
    )
  );
};

Section.defaultProps = {
  callToAction: null,
  className: null,
  section: {}
};

exports.default = (0, _reactCssThemr.themr)('Section', defaultStyles, { composeTheme: 'softly' })(Section);